All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.prompts
Class ValidationEntry

    com.sas.prompts.ValidationEntry

All Implemented Interfaces:
  java.io.Serializable

    public class ValidationEntry

implements java.io.Serializable

A ValidationEntry object holds an error code and message used to indicate to a caller that a prompt value was invalid and why it was invalid.

See Also:
  Serialized Form

Constructor Summary
`ValidationEntry(long errorCode, java.lang.String message)` Create a ValidationEntry object which contains an error code value and the message associated with the error.

Method Summary
`boolean` | `equals(java.lang.Object otherValue)` Returns whether the error code and message in another ValidationEntry match this ValidationEntry.
`long` | `getErrorCode()` Returns an error code indicating why the value was invalid.
`java.lang.String` | `getMessage()` Returns a text message indicating why the value was invalid.
`int` | `hashCode()` Return a hash code for the ValidationEntry.
`java.lang.String` | `toString()` Returns a text message indicating why the value was invalid.

Constructor Detail

### ValidationEntry

    public ValidationEntry(long errorCode,
                           java.lang.String message)

  Create a ValidationEntry object which contains an error code value and the message associated with the error.

  Parameters:
    `errorCode` - long
    `message` - String

Method Detail

### getMessage

    public java.lang.String getMessage()

  Returns a text message indicating why the value was invalid.

  Returns:
    String

### getErrorCode

    public long getErrorCode()

  Returns an error code indicating why the value was invalid.

  Returns:
    long

### toString

    public java.lang.String toString()

  Returns a text message indicating why the value was invalid.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    String

### hashCode

    public int hashCode()

  Return a hash code for the ValidationEntry. The has code is a composite of the errorCode and message.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    a hash code for the ValidationEntry

### equals

    public boolean equals(java.lang.Object otherValue)

  Returns whether the error code and message in another ValidationEntry match this ValidationEntry.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `otherValue` - The other ValidationEntry to check for equality
  Returns:
    whether the error code and message in another ValidationEntry match this ValidationEntry.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.